# List product rate plan definitions Retrieves basic information about the product rate plan definitions for a product rate plan. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. Endpoint: GET /v1/product-rateplan-definitions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `charge` (string) The unique number or ID of the charge for which the product rate plan definitions are to be retrieved. - `rateplan` (string) The unique number or ID of the product rate plan for which the product rate plan definitions are to be retrieved. ## Response 200 fields (application/json): - `productRatePlanDefinitions` (array) The list of the product rate plan definitions that are retrieved. - `productRatePlanDefinitions.id` (string) The unique ID of the product rate plan definition. - `productRatePlanDefinitions.productRatePlanChargeId` (string) The unique ID of the product charge in this rate plan definition. - `productRatePlanDefinitions.productRatePlanChargeName` (string) Th name of the product charge in this rate plan definition. - `productRatePlanDefinitions.productRatePlanChargeNumber` (string) The unique number (natural key) of the product charge in this rate plan definition. - `productRatePlanDefinitions.productRatePlanId` (string) The unique ID of the product rate plan that uses this rate plan definition. - `productRatePlanDefinitions.productRatePlanName` (string) Th name of the product rate plan that uses this rate plan definition. - `productRatePlanDefinitions.productRatePlanNumber` (string) The unique number (natural key) of the product rate plan that uses this rate plan definition. - `success` (boolean) Indicates whether the request succeeded. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.